CAD Forum - Database of tips, tricks and utilities for AutoCAD, Inventor and other Autodesk products [www.cadforum.cz]
Czech English Deutsch
Login/Register:
 Visitors: 3320 
RSS tips RSS channel - CAD tips
RSS discussion RSS channel - CAD discussion

Discussion Discussion forum

HelpCAD discussion

CAD Forum - Homepage CAD discussion forum - ask any CAD-related questions here, share your CAD knowledge on AutoCAD, Inventor, Revit and other Autodesk software with your peers from all over the world. To start a new topic, choose an appropriate forum.

Please abide by the rules of this forum.

How to post questions: register or login, go to the specific forum and click the NEW TOPIC button.
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

The information that you provide in this form will make up your forum profile which can be viewed by other forum members. Your email address will only be visible by forum admin and moderators and will be used to send you Forum Notifications. To cancel your account, use the page Opt-out or contact webmaster@cadforum.cz.

shortcut draworder

 Post Reply Post Reply
Author
roel-nahuis View Drop Down
Newbie
Newbie


Joined: 20.Jun.2019
Location: Germany
Using: AutoCAD2019
Status: Offline
Points: 6
Post Options Post Options   Thanks (0) Thanks(0)   Quote roel-nahuis Quote  Post ReplyReply Direct Link To This Post Topic: shortcut draworder
    Posted: 20.Jun.2019 at 08:12
hello,

is there an shortcut for draworder send to back and bring to front?
Back to Top
rebellio View Drop Down
Senior Member
Senior Member


Joined: 04.Mar.2009
Location: Netherlands
Using: Autocad 2018
Status: Offline
Points: 113
Post Options Post Options   Thanks (1) Thanks(1)   Quote rebellio Quote  Post ReplyReply Direct Link To This Post Posted: 20.Jun.2019 at 10:14
Hi,

Shortcut is "DR"

Adjustable via "Aliasedit" if preferred.



Regards 




Edited by rebellio - 20.Jun.2019 at 12:44
Back to Top
roel-nahuis View Drop Down
Newbie
Newbie


Joined: 20.Jun.2019
Location: Germany
Using: AutoCAD2019
Status: Offline
Points: 6
Post Options Post Options   Thanks (0) Thanks(0)   Quote roel-nahuis Quote  Post ReplyReply Direct Link To This Post Posted: 20.Jun.2019 at 10:24
Thanks, it works!!!
Back to Top
Kent Cooper View Drop Down
Senior Member
Senior Member


Joined: 12.Mar.2013
Location: United States
Using: AutoCAD2019
Status: Offline
Points: 488
Post Options Post Options   Thanks (1) Thanks(1)   Quote Kent Cooper Quote  Post ReplyReply Direct Link To This Post Posted: 20.Jun.2019 at 14:44
Originally posted by roel-nahuis roel-nahuis wrote:

... is there an shortcut for draworder send to back and bring to front?
 
I use two little shortcut commands for not just the DRAWORDER command [which still requires you to specify Back or Front], but for the command with the Back or Front option included in the command operation, without your needing to answer for it [EDIT: just replaced with upgraded version that allows pre-selection]:
 
;;  DraworderBackFront.lsp [command names: DB & DF]
;;  To put selected objects at the Back or Front of the Draworder
;;  Kent Cooper, last edited 20 June 2019 [work with pre-selection]
(defun DBF (which / cmde ss)
  (setq cmde (getvar 'cmdecho))
  (if (ssget "_I")
    (setq ss (ssget "_I")); then
    (progn ; else
      (prompt (strcat "\nTo move to " which " in draw order,"))
      (setq ss (ssget ":L"))
    ); progn
  ); if
  (if ss
    (progn ; then
      (setvar 'cmdecho 0)
      (sssetfirst nil nil); clear if via pre-selection
      (command "_.draworder" ss "" (strcat "_" which) "_.regen")
      (setvar 'cmdecho cmde)
    ); progn
    (prompt "\nNothing selected."); else
  ); if
  (princ)
)
(defun C:DB ()
  (DBF "Back")
)
(defun C:DF ()
  (DBF "Front")
)


Edited by Kent Cooper - 20.Jun.2019 at 15:04
Back to Top
Vladimir Michl View Drop Down
Moderator Group
Moderator Group

CAD Studio a.s.

Joined: 26.Jul.2007
Location: Czech Republic
Using: Autodesk software
Status: Offline
Points: 1770
Post Options Post Options   Thanks (0) Thanks(0)   Quote Vladimir Michl Quote  Post ReplyReply Direct Link To This Post Posted: 21.Jun.2019 at 07:28
There is also a menu macro predefined in CUI - you can assign any keyboard shortcut to it to invoke it faster than through the ribbon.
Vladimir Michl (moderator)
CAD Studio - www.cadstudio.cz - Autodesk reseller
Back to Top
rebellio View Drop Down
Senior Member
Senior Member


Joined: 04.Mar.2009
Location: Netherlands
Using: Autocad 2018
Status: Offline
Points: 113
Post Options Post Options   Thanks (0) Thanks(0)   Quote rebellio Quote  Post ReplyReply Direct Link To This Post Posted: 21.Jun.2019 at 15:54
"Borrowed" this one from you Kent, thanks for sharing Wink
Back to Top

Related CAD tips:


 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down



This page was generated in 0,094 seconds.